Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.PageNumberRange Class Reference

## Public Member Functions
| PageNumberRange ()
| Constructor.
| PageNumberRange (int start_number, int end_number, int filter)
| Constructor, with parameters. More...
| PageNumberRange (PageNumberRange page_range)
| Constructor, with another page number range object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
int | getEnd_number ()
| Get page number of the end page in current range, starting from 1. More...
int | getFilter ()
| Get filter type to decide which page numbers of this range would be used. More...
int | getStart_number ()
| Get page number of the start page in current range, starting from 1. More...
void | set (int start_number, int end_number, int filter)
| Set value. More...
void | setEnd_number (int value)
| Set page number of the end page in current range, starting from 1. More...
void | setFilter (int value)
| Set filter type to decide which page numbers of this range would be used. More...
void | setStart_number (int value)
| Set page number of the start page in current range, starting from 1. More...

## Detailed Description

This class represents the page number range (not index range) which is used for class HeaderFooter .

See also
  HeaderFooter

## Constructor & Destructor Documentation

## ◆ PageNumberRange() [1/2]

com.foxit.sdk.pdf.PageNumberRange.PageNumberRange | ( | int | start_number,
|  | int | end_number,
|  | int | filter
| ) |  |

Constructor, with parameters.

Parameters

  [in] | start_number | Page number of the start page in current range, starting from 1.
  [in] | end_number | Page number of the end page in current range, starting from 1.
  [in] | filter | Filter type to decide which page numbers of this range would be used. Please refer to values starting from com.foxit.sdk.common.Range.e_All and this should be one of these values.

## ◆ PageNumberRange() [2/2]

com.foxit.sdk.pdf.PageNumberRange.PageNumberRange | ( | PageNumberRange | page_range | ) |

Constructor, with another page number range object.

Parameters

  [in] | page_range | Another page number range object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.PageNumberRange.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getEnd_number()

com.foxit.sdk.pdf.PageNumberRange.getEnd_number | ( |  | ) |

Get page number of the end page in current range, starting from 1.

Returns
  Page number of the end page in current range, starting from 1.

## ◆ getFilter()

com.foxit.sdk.pdf.PageNumberRange.getFilter | ( |  | ) |

Get filter type to decide which page numbers of this range would be used.

Returns
  Filter type to decide which page numbers of this range would be used. Please refer to values starting from com.foxit.sdk.common.Range.e_All and this should be one of these values.

## ◆ getStart_number()

com.foxit.sdk.pdf.PageNumberRange.getStart_number | ( |  | ) |

Get page number of the start page in current range, starting from 1.

Returns
  Page number of the start page in current range, starting from 1.

## ◆ set()

void com.foxit.sdk.pdf.PageNumberRange.set | ( | int | start_number,
|  | int | end_number,
|  | int | filter
| ) |  |

Set value.

Parameters

  [in] | start_number | Page number of the start page in current range, starting from 1.
  [in] | end_number | Page number of the end page in current range, starting from 1.
  [in] | filter | Filter type to decide which page numbers of this range would be used. Please refer to values starting from com.foxit.sdk.common.Range.e_All and this should be one of these values.

Returns
  None.

## ◆ setEnd_number()

com.foxit.sdk.pdf.PageNumberRange.setEnd_number | ( | int | value | ) |

Set page number of the end page in current range, starting from 1.

Parameters

  [in] | value | Page number of the end page in current range, starting from 1.

Returns
  None.

## ◆ setFilter()

com.foxit.sdk.pdf.PageNumberRange.setFilter | ( | int | value | ) |

Set filter type to decide which page numbers of this range would be used.

Parameters

  [in] | value | Filter type to decide which page numbers of this range would be used. Please refer to values starting from com.foxit.sdk.common.Range.e_All and this should be one of these values.

Returns
  None.

## ◆ setStart_number()

com.foxit.sdk.pdf.PageNumberRange.setStart_number | ( | int | value | ) |

Set page number of the start page in current range, starting from 1.

Parameters

  [in] | value | Page number of the start page in current range, starting from 1.

Returns
  None.